import { VMarkedText } from './IMarkedText';
export interface IColorModule {
    link(markedText: VMarkedText): void;
    unlink(): void;
    subjectColor(subject: string): string;
}
export declare class ManualColorModule implements IColorModule {
    private markedText;
    private subjectColorMap;
    private defaultColor;
    constructor(defaultColor?: string);
    link(markedText: VMarkedText): void;
    unlink(): void;
    subjectColor(subject: string): string;
    setSubjectColor(subject: string, color: string): void;
    unsetSubjectColor(subject: string): void;
}
export declare class ColorScaleModule implements IColorModule {
    private markedText;
    private subjectColorLightness;
    private numSubjectColors;
    private subjectColorMap;
    private colorIdx;
    private generatedColors;
    constructor(subjectColorLightness: number, numSubjectColors: number);
    link(markedText: VMarkedText): void;
    unlink(): void;
    subjectColor(subject: string): string;
    setNumSubjectColors(val: number): void;
    setSubjectColorLightness(val: number): void;
    private generateColors;
}
