import { ComponentPublicInstance } from '@vue/runtime-core';
import { IManuscript } from './Manuscript';
import IMark from './IMark';
import { SubjectStyleType } from './Subject';
import { ISubjectEngine } from './SubjectEngine';
export default interface IMarkedText {
    subjectEngine: ISubjectEngine;
    manuscript: IManuscript;
    sourceText: string;
    marks: IMark[];
    subjectStyleType: SubjectStyleType;
    refreshManuscript(): void;
    resetSpans(): void;
    resetSubjects(resetActive?: boolean): void;
    setSelection(charRange: [number, number] | null, immediate?: boolean): void;
    getSelection(): [number, number] | null;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
    subjectStyle(name: string): any;
}
export declare type VMarkedText = ComponentPublicInstance & IMarkedText;
