import { PropType } from 'vue';
import IController from './IController';
import Manuscript from './Manuscript';
import IMark from './IMark';
import SpanData, { SpanControllerCbk } from './SpanData';
import { SubjectStyleType } from './Subject';
import SubjectLedger from './SubjectLedger';
import { SubjectEngine } from './SubjectEngine';
import { ColorScaleModule, IColorModule } from './ColorModule';
declare const _sfc_main: import("vue").DefineComponent<{
    sourceText: {
        type: StringConstructor;
        required: true;
    };
    marks: {
        type: PropType<IMark[]>;
        required: true;
    };
    controller: {
        type: PropType<IController>;
        required: true;
    };
    batchSize: {
        type: NumberConstructor;
        default: number;
    };
    colorModule: {
        type: PropType<IColorModule>;
        default: ColorScaleModule;
    };
    subjectStyleType: {
        type: PropType<SubjectStyleType>;
        default: string;
    };
    showBatches: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, {
    subjectLedger: SubjectLedger;
    subjectEngine: SubjectEngine;
    manuscript: Manuscript;
}, {
    spanBatches(): SpanData[][];
}, {
    updateMarks(newMarks: IMark[]): void;
    refreshManuscript(): void;
    spanDataToStyles(spanData: SpanData): any[];
    spanDataTrigger(payload: {
        rawEvent: Event;
        spanData: SpanData;
        spanControllerEvent: SpanControllerCbk;
    }): void;
    resetSpans(): void;
    resetSubjects(resetActive?: boolean): void;
    setSelection(charRange: [number, number] | null, immediate: boolean): void;
    getSelection(): [number, number] | null;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
    subjectStyle(name: string): any;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    sourceText: {
        type: StringConstructor;
        required: true;
    };
    marks: {
        type: PropType<IMark[]>;
        required: true;
    };
    controller: {
        type: PropType<IController>;
        required: true;
    };
    batchSize: {
        type: NumberConstructor;
        default: number;
    };
    colorModule: {
        type: PropType<IColorModule>;
        default: ColorScaleModule;
    };
    subjectStyleType: {
        type: PropType<SubjectStyleType>;
        default: string;
    };
    showBatches: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    colorModule: IColorModule;
    batchSize: number;
    subjectStyleType: SubjectStyleType;
    showBatches: boolean;
}>;
export default _sfc_main;
