import { IColorModule } from './ColorModule';
import { VMarkedText } from './IMarkedText';
import ISubjectLedger from './ISubjectLedger';
export interface ISubjectEngine {
    link(markedText: VMarkedText): void;
    unlink(): void;
    resetSubjects(resetActive?: boolean): void;
    addSubjects(subjects: Iterable<string>, active?: boolean): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
}
export declare class SubjectEngine implements ISubjectEngine {
    private markedText;
    private ledger;
    private colorModule;
    constructor(ledger: ISubjectLedger, colorModule: IColorModule);
    link(markedText: VMarkedText): void;
    unlink(): void;
    setColorModule(newColorModule: IColorModule): void;
    resetSubjects(resetActive?: boolean): void;
    addSubjects(subjects: Iterable<string>, active?: boolean): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
    subjectCSSClassName(subjectName: string): string;
    subjectSpans(subjectName: string): Element[];
}
